Summary:	A lightweight archiving/compression tool
Name:		xarchiver
Version:	0.5.4.10
Release:	%mkrel 1
License:	GPLv2
Group:		Archiving/Compression
URL:		https://github.com/ib/%{name}
Source0:	https://github.com/ib/%{name}/archive/%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	gtk+2-devel
BuildRequires:	xsltproc
Requires:	binutils
Requires:	unzip
Requires:	zip
Recommends:	arj
Recommends:	p7zip
Recommends:	lha
Recommends:	unrar

%description
Xarchiver is a GTK+2 only frontend to 7z, zip, rar, tar, bzip2, gzip, arj,
lha, rpm and deb (open and extract only).Xarchiver allows you to create,
add, extract and delete files in the above formats. 7z, zip, rar, arj
password protected archives are supported.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

# make the .desktop file compliant with xdg specs
desktop-file-install \
	--vendor="" \
	--remove-key="Encoding" \
	--remove-mime-type="multipart/x-zip" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/xarchiver.desktop

%files -f %{name}.lang
%doc %{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_libexecdir}/thunar-archive-plugin/xarchiver.tap
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Fri May 12 2017 ns80 <ns80> 0.5.4.10-1.mga6
+ Revision: 1100531
- new version 0.5.4.10 that fixes xarchiver segmentation fault
- remove patch revert-renaming-open_archive

* Wed May 10 2017 ns80 <ns80> 0.5.4.9-3.mga6
+ Revision: 1099972
- update to latest git snapshot to fix a bug when creating the preferences dialog

* Thu May 04 2017 ns80 <ns80> 0.5.4.9-2.mga6
+ Revision: 1099013
- add a patch to fix segmentation fault and update to latest git snapshot

* Wed May 03 2017 ns80 <ns80> 0.5.4.9-1.mga6
+ Revision: 1098825
- new version 0.5.4.9

* Wed Feb 15 2017 ns80 <ns80> 0.5.4.8-1.mga6
+ Revision: 1086213
- new version 0.5.4.8

* Fri Jan 27 2017 ns80 <ns80> 0.5.4.7-2.mga6
+ Revision: 1083566
- update to latest git snapshot to update translations

* Wed Jul 20 2016 ns80 <ns80> 0.5.4.7-1.mga6
+ Revision: 1042890
- new version 0.5.4.7
- remove patch fix-sigsegv-when-directly-extracting-rpm (merged upstream)

* Mon Mar 21 2016 ns80 <ns80> 0.5.4.6-2.mga6
+ Revision: 993790
- add patch fix-sigsegv-when-directly-extracting-rpm (mga#18050)

* Tue Mar 15 2016 wally <wally> 0.5.4.6-1.mga6
+ Revision: 990976
- switch to another fork in Github (mga#17993)
- new version 0.5.4.6

* Mon Feb 08 2016 umeabot <umeabot> 0.5.4-2.mga6
+ Revision: 950468
- Mageia 6 Mass Rebuild

* Sat Nov 01 2014 wally <wally> 0.5.4-1.mga5
+ Revision: 795087
- new version 0.5.4
- drop unneeded str fmt patch

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-3.mga5
+ Revision: 750350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-2.mga5
+ Revision: 690543
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Feb 23 2014 wally <wally> 0.5.3-1.mga5
+ Revision: 595919
- fix release tag

* Sun Feb 23 2014 wally <wally> 0.5.3-0.2.mga5
+ Revision: 595918
- new version 0.5.3
- fix url
- drop unneeded patches

* Fri Oct 18 2013 umeabot <umeabot> 0.5.2-16.mga4
+ Revision: 520425
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-15.mga3
+ Revision: 386505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.5.2-14.mga3
+ Revision: 338226
- fix file list after %%_libexecdir change

* Fri Dec 21 2012 guillomovitch <guillomovitch> 0.5.2-13.mga3
+ Revision: 333655
- own its documentation directory

* Sat Jul 07 2012 wally <wally> 0.5.2-12.mga3
+ Revision: 268629
- add patch to fix tar support (mga#6713)

* Sun Jul 01 2012 wally <wally> 0.5.2-11.mga3
+ Revision: 265947
- rediff xz support patch to get working xz support
- add xz exctract patch from Arch

* Sun Jun 24 2012 wally <wally> 0.5.2-10.mga3
+ Revision: 263147
- add patches from Fedora (xarchiver is pretty dead upstream, but it works most of time and now even more with Fedora patches)
  o xz support patch
  o fix 7z support patch
  o rpm2cpio fix patch
  o fix open with segfaulting patch

* Sat Jan 28 2012 tavvva <tavvva> 0.5.2-9.mga2
+ Revision: 202692
- fix for #4093 - extraction doesn't work when drag'n'drop target path contains spaces
- additionaly all characters which need to be escaped are now accepted without problems

* Mon Feb 07 2011 ahmad <ahmad> 0.5.2-8.mga1
+ Revision: 48700
- imported package xarchiver

